# ECharts

<a href="http://echarts.baidu.com">
    <img style="vertical-align: top;" src="./asset/logo.png?raw=true" alt="logo" height="50px">
</a>

ECharts is a free, powerful charting and visualization library offering an easy way of adding intuitive, interactive, and highly customizable charts to your commercial products. It is written in pure JavaScript and based on <a href="https://github.com/ecomfe/zrender">zrender</a>, which is a whole new lightweight canvas library.

Now ECharts is an incubator project of Apache Software Foundation.
Please check its incubator status [here](http://incubator.apache.org/projects/echarts.html)

**[中文官网](http://echarts.baidu.com)** | **[ENGLISH HOMEPAGE](https://echarts.apache.org/index.html)**

[![Build Status](https://travis-ci.org/apache/incubator-echarts.svg?branch=master)](https://travis-ci.org/apache/incubator-echarts) [![](https://img.shields.io/npm/dw/echarts.svg?label=npm%20downloads&style=flat)](https://www.npmjs.com/package/echarts) ![Commits Since 4.0.0](https://img.shields.io/github/commits-since/apache/incubator-echarts/4.0.0.svg?colorB=%234c1&style=flat)

## Get ECharts

You may choose one of the following methods:

+ Download from Official Website in [中文下载页](http://echarts.baidu.com/download.html)
+ Download from Official Website in [English](https://ecomfe.github.io/echarts-doc/public/en/download.html)
+ `npm install echarts --save`
+ CDN: [jsDelivr CDN](https://www.jsdelivr.com/package/npm/echarts?path=dist)

## Get ECharts GL

ECharts-GL is an extension pack of ECharts, which provides 3D plots, globe visualization and WebGL acceleration.

+ Get from [https://github.com/ecomfe/echarts-gl](https://github.com/ecomfe/echarts-gl)

+ `npm install echarts-gl --save`

## Docs

+ [Tutorial](http://echarts.baidu.com/tutorial.html)
    + [中文](http://echarts.baidu.com/tutorial.html)
    + [English](http://ecomfe.github.io/echarts-doc/public/en/tutorial.html)

+ [API](http://echarts.baidu.com/api.html)
    + [中文](http://echarts.baidu.com/api.html)
    + [English](http://ecomfe.github.io/echarts-doc/public/en/api.html)

+ [Option Manual](http://echarts.baidu.com/option.html)
    + [中文](http://echarts.baidu.com/option.html)
    + [English](http://ecomfe.github.io/echarts-doc/public/en/option.html)

## Resources


### Awesome ECharts

[https://github.com/ecomfe/awesome-echarts](https://github.com/ecomfe/awesome-echarts)

### Official Extensions

+ [水球图 Liquidfill](https://github.com/ecomfe/echarts-liquidfill)

+ [字符云 Wordcloud](https://github.com/ecomfe/echarts-wordcloud)

+ [Graph Modularity](https://github.com/ecomfe/echarts-graph-modularity) Graph modularity extension for community detection

+ [百度地图扩展](https://github.com/ecomfe/echarts/tree/master/extension/bmap)

+ [vue-echarts](https://github.com/ecomfe/vue-echarts) ECharts component for Vue.js

+ [echarts-stat](https://github.com/ecomfe/echarts-stat) Statistics tool for ECharts


### Developers Contributions


#### GIS

+ [leaflet-echarts](https://github.com/wandergis/leaflet-echarts3) by wandergis
+ [arcgis-echarts](https://github.com/wandergis/arcgis-echarts3) by wandergis

+ [echarts-leaflet](https://github.com/gnijuohz/echarts-leaflet) by gnijuohz

+ [ol3Echarts](https://github.com/sakitam-fdd/ol3Echarts) by sakitam-fdd

#### Map Data and Tools

+ [echarts-mapmaker](https://github.com/echarts-maps/echarts-mapmaker) by chfw
+ [echarts-cities-js](https://github.com/echarts-maps/echarts-cities-js) by chfw
+ [echarts-china-cities-js](https://github.com/echarts-maps/echarts-china-cities-js) by chfw
+ [echarts-countries-js](https://github.com/echarts-maps/echarts-countries-js) by chfw


#### AngularJS Binding

+ [angular-echarts](https://github.com/wangshijun/angular-echarts) by wangshijun
+ [echarts-ng](https://github.com/bornkiller/echarts-ng) by bornkiller
+ [ng-echarts](https://github.com/liekkas/ng-echarts) by liekkas
+ [ngx-echarts](https://github.com/xieziyu/ngx-echarts) by xieziyu

#### Ember Binding
+ [echarts-ember](https://github.com/bruckwubete/echarts-ember) by [bruck wubete](https://github.com/bruckwubete)
+ [ember-cli-echarts](https://github.com/funnelcloudinc/ember-cli-echarts) by FunnelCloud

#### Vue Component

+ [vue-echarts](https://github.com/ecomfe/vue-echarts) by ecomfe
+ [vue-echarts](https://github.com/panteng/vue-echarts) by panteng
+ [vue-echarts-v3](https://github.com/xlsdg/vue-echarts-v3) by xlsdg

#### React Component

+ [echarts-for-react](https://github.com/hustcc/echarts-for-react) by hustcc
+ [react-echarts](https://github.com/somonus/react-echarts) by somonus
+ [re-echarts](https://github.com/liekkas/re-echarts) by liekkas
+ [react-echarts-v3](https://github.com/xlsdg/react-echarts-v3) by xlsdg
+ [d2recharts](https://github.com/leungwensen/d2recharts) by leungwensen
+ [react-component-echarts](https://github.com/dawiwt/react-component-echarts) by dawiwt

#### React Native Component

+ [react-native-echarts](https://github.com/somonus/react-native-echarts) by somonus

### Other Languages
#### Python

+ [echarts-python](https://github.com/yufeiminds/echarts-python) by yufeiminds
+ [krisk](https://github.com/napjon/krisk) by napjon
+ [pyecharts](https://github.com/chenjiandongx/pyecharts) by chenjiandong

#### R

+ [recharts](https://github.com/taiyun/recharts) by taiyun
+ [recharts](https://github.com/yihui/recharts) by yihui
+ [ECharts2Shiny](https://github.com/XD-DENG/ECharts2Shiny) by XD-DENG
+ [echarts4r](https://github.com/JohnCoene/echarts4r) by JohnCoene

#### Julia

+ [ECharts.jl](https://github.com/randyzwitch/ECharts.jl) by randyzwitch

#### PureScript

+ [purescript-echarts](https://github.com/slamdata/purescript-echarts/)

#### iOS

+ [iOS-Echarts](https://github.com/Pluto-Y/iOS-Echarts) by Pluto-Y

#### Java

+ [ECharts-Java](http://www.oschina.net/p/echarts-java) by Liuzh_533

#### .NET

+ [EChartsSDK](https://github.com/idoku/EChartsSDK) by idoku

#### PHP

+ [Echarts-PHP](https://github.com/hisune/Echarts-PHP) by hisune

#### Node

+ [Node-Echarts](https://github.com/suxiaoxin/node-echarts) by suxiaoxin

## Build

Check this tutorial [Create Custom Build of ECharts](https://ecomfe.github.io/echarts-doc/public/en/tutorial.html#Create%20Custom%20Build%20of%20ECharts)
 please.

## License

ECharts is available under the Apache License V2.

## Code of Conduct

Please refer to [Apache Code of Conduct](https://www.apache.org/foundation/policies/conduct.html).

## Reference Paper

Deqing Li, Honghui Mei, Yi Shen, Shuang Su, Wenli Zhang, Junting Wang, Ming Zu, Wei Chen.
[ECharts: A Declarative Framework for Rapid Construction of Wed-based Visualization](https://www.sciencedirect.com/science/article/pii/S2468502X18300068).
Visual Informatics, 2018.

